photos: Get photos in an album

API: typicode.com:jsonplaceholder
Endpoint: /albums/{id}/photos
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 144ms

Description

Returns an array of photo objects belonging to the specified album. Each photo includes title, full-size URL, and thumbnail URL. Use this to display a photo gallery for an album.

From spec: Returns all photos contained in a specific album

Usage Tips

- Returns empty array [] if album has no photos - Photos include both url (600px) and thumbnailUrl (150px) - Images are hosted on via.placeholder.com

Parameters (1)

id (integer, path, required)

The album ID

Examples (1)

Get all photos in album #1 probe-gate

Demonstrates fetching all photos contained in a specific album

curl 'https://jsonplaceholder.typicode.com/albums/1/photos'
import requests

resp = requests.get("https://jsonplaceholder.typicode.com/albums/1/photos")
data = resp.json()
import zingu_apis

api = zingu_apis.api("typicode")
result = api.fetch("albums/{id}/photos")

for item in result:
    print(item)
const resp = await fetch("https://jsonplaceholder.typicode.com/albums/1/photos");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 16:51:32.134674 200 144ms
2026-04-16 03:55:12.613483 200 139ms
2026-04-15 00:59:53.633695 200 471ms
2026-04-14 02:39:06.712270 200 134ms
2026-04-12 12:55:02.070408 200 414ms
2026-04-10 04:23:39.921857 200 454ms
2026-04-09 03:07:23.850845 200 529ms